{ pkgs, lib, ... }:
with lib;
with types;
{
  options.components.network = {
    enable = mkOption {
      type = bool;
      default = true;
    };
  };

  imports = [
    #./avahi.nix
    ./hosts.nix
    ./nginx.nix
    ./sshd
    ./syncthing.nix
    ./tinc
    ./wifi.nix
    ./wireguard.nix
  ];

  config = mkIf config.components.network.enable { };
}
