{ config, pkgs, lib, ... }:
with pkgs;
with lib;
{
  config = mkMerge [
    {
      home.packages = [
        (
          let
            options = [
              "name"
              "mountpoint"
              "com.sun:auto-snapshot:yearly"
              "com.sun:auto-snapshot:monthly"
              "com.sun:auto-snapshot:daily"
              "com.sun:auto-snapshot:hourly"
            ];
          in
          pkgs.writers.writeBashBin "zfs-overview" ''
            ${pkgs.zfs}/bin/zfs list -o ${concatStringsSep "," options} "$@"
          ''
        )
      ];
    }
  ];
}
