{ config, ... }:
{
  sops.secrets.rsync_private_key = { };

  rbackup.plans = {
    nextcloud = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@orbi:/var/lib/nixos-containers/nextcloud";
      dst = "/mirror/nextcloud";
    };
    git = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@orbi:/var/lib/forgejo/";
      dst = "/mirror/git";
    };
    taskwarrior = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@orbi:/var/lib/taskserver/";
      dst = "/mirror/taskwarrior";
    };
    vaultwarden = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@orbi:/var/lib/bitwarden_rs/";
      dst = "/mirror/vaultwarden";
    };
    matrix-terranix = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@orbi:/var/lib/nixos-containers/matrix-terranix";
      dst = "/mirror/matrix-terranix";
    };
    radarr = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@orbi:/media/arr/radarr";
      dst = "/media/arr/radarr";
      delete = false;
    };
    sonarr = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@orbi:/media/arr/sonarr";
      dst = "/media/arr/sonarr";
      delete = false;
    };
  };


}
