{ lib, config, pkgs, ... }: {
  imports = [

    ./hardware-configuration

    ../../system/all/defaults.nix

    ../../components
    ../../modules


    ./service-hedgedoc.nix
    ./service-forgejo.nix
    ./service-vaultwarden.nix
    ./service-taskserver.nix

    ./nginx-ingolf-wagner-de.nix
    ./nginx-wkd.nix

    ./network-tinc.nix
    ./network-wireguard.nix

    ./media-share.nix

    ./media-syncthing.nix
    #./media-transmission.nix
    ./media-transmission2.nix
    ./media-jellyfin.nix
    ./media-arr.nix
    ./media-nextcloud.nix

    ./social-jitsi.nix
    ./social-matrix-terranix.nix

    #./sync-opentracker.nix
    #./sync-torrent.nix

    # telemetry
    # ---------
    #./loki.nix
    #./loki-promtail.nix
    ##./prometheus.nix
    #./grafana.nix
    ./telegraf.nix

    #./cache.nix
  ];

  networking.hostName = "orbi";

  components.terminal.enable = true;
  components.mainUser.enable = true;
  components.gui.enable = false;
  components.network.enable = true;
  components.network.nginx.landingpage.enable = false;
  components.network.wifi.enable = false;

  security.acme.acceptTerms = true;
  security.acme.defaults.email = "contact@ingolf-wagner.de";

  sops.defaultSopsFile = ../../secrets/orbi.yaml;

  # chungus rsync
  users.users.root.openssh.authorizedKeys.keys = [ "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJkqVvuJSvRMO5pG2CHNNBxjB7HlJudK4TQs3BhbOWOD" ];

}
