{ pkgs ? import <nixpkgs> { } }:

pkgs.mkShell {
  buildInputs = [
    (pkgs.boxes.overrideAttrs (old: rec {
      version = "2.3.0";
      src = pkgs.fetchFromGitHub {
        owner = "ascii-boxes";
        repo = "boxes";
        rev = "v${version}";
        sha256 = "sha256-/gc/5vDflmEwOtQbtLwRcchyr22rLQcWqs5GrwRxY70=";
      };
      #nativeBuildInputs = old.nativeBuildInputs ++ [
      nativeBuildInputs = [
        pkgs.libunistring
        pkgs.pcre2
        pkgs.ncurses
      ];
      installPhase = ''
        find . -type f
        install -Dm755 -t $out/bin out/boxes
        install -Dm644 -t $out/share/boxes boxes-config
        install -Dm644 -t $out/share/man/man1 doc/boxes.1
      '';
    }))
  ];
}
